declare type State = {
    [key: string]: any;
};
declare type GetStore<T> = <U = T>(useOutStore?: () => U) => U;
declare type SetStore<T> = (partialState: Partial<T> | ((prevState: T) => Partial<T>)) => void;
declare type InitStore<T> = ({ get, set }: {
    get: GetStore<T>;
    set: SetStore<T>;
}) => T;
declare function create<T extends State>(initStore: InitStore<T>): () => T;

export { create as default };
